さくらの新VPSへお引越し & 設定

さくらのVPSが新しくなった。同じ月980円で
510M 20Gから 1G 100Gになったので
「これは変えるしか無い!(・ω・´」
ってことでお引越し!
前回VPS借りたときは最初にやった設定なんかがあまり記録してなかったので今回は記録します。
トラブったところもメモメモ。今回の設定と入れるものは以下のとおり
[root権限変更]
[iptables設定]
[apache/PHP/WordPress/Ruby on Rails]

——————————————————-
[root権限変更]
借りたら先ずやるやつね。
http://www.iex3.info/archives/1008

こことか参考にさらっとやる(セキュリティの関係上oyabunn.comがどうなってるかは教えないけどね)

[iptables]
ググればでてきます。SSHとHTTPだけOKで他OUTな感じにする
http://akibe.com/centos-setup-4-apache/
このサイトが詳しい

[apache]
http://akibe.com/centos-setup-4-apache/
apacheもここに従う

[MySQL]
MySQLは yum install mysql-server だとバージョンが古い(5.5が出てるのに5.1とか)問題が。
どうするかというと yumに新しいリポジトリを追加します
REMIリポジトリの追加
ここを見れば落とし方はOK。ただ設定しないと使えないので

でremiのところの
enable=0をenable=1に。更に
priority=1(始めからなってるかも)にする。
これで使えるので

これで入る。
ユーザーパス設定や余分なユーザー削除などはMySQL初期設定はぐぐってね!

「PHP」
これも古いバージョンは入れたくないのでremiで。

これで確認したところremiで5.3.10が入るらしい。(5.4入れたいけどまぁいいよね)
確認した後入れちゃいます

これは「remiを有効に php php-mbstring php-mysql php-gdを入れる」って意味です。
php以外に沢山入れてるのはあとでデータベースとつないだりする時に要るから。

「WordPress」
まず、最新バージョンを確認する。今は3.3.1らしい。
cd $HOMEして

あとは、chmodが必要なので
http://akibe.com/centos-setup-8-php-wordpress/
を参考に。
んで http://ホスト/wordpress で繋いで入れた!
あとは普通ならちょろっと設定すればいけるんだけど、データベースの作成の時に
「データベースが作れません(IDとパスワードはあってるっぽい)エラー」
でNG(><
どうもDBが作れないらしい。・・・ならば作っちゃえ!ってことで
mysql -u root -pでまずmysqlに入ってDBとユーザーの作成とかとか
参考になるのはこのサイト
んで、wp-config-sample.phpコピってwp-config.phpを作成してさっきの設定を書けばOK

[Rails]
今回はrvm(複数のRubyバージョンの管理)を入れる。
まず bash < <(curl -s https://raw.github.com/wayneeseguin/rvm/master/binscripts/rvm-installer )
でrvmを入れる、そしたら
source /etc/profile.d/rvm.sh
を実行してrvmを使える状態にする。入ったら早速Rubyを入れましょう
本当は1.9.3を入れたいんですが1.9.3だとRailsが

こんなエラーを吐いて入らない。(もちろんzlibは入れようとしてみた)
http://ubuntuforums.org/showthread.php?t=1494997
ここによるとRailsと1.9.3のつながりが良くないらしくて、
「じゃあ1.9.2なら入るんじゃ?Macも1.9.2で入ったし」ということで1.9.2を入れる
rvm install 1.9.2
で入れる。そしたら
rvm use 1.9.2 –default
で使用状態に。ruby -vやgem envで状態を確認しよう。確認したら
gem install rails
これでRails入る!

実はまだrailsアプリを動かしてないのでちゃんと入ってるか怪しい(^^;
今度Railsが動くかどうか、動かなかったら動くまでをUpするね!

/余談/
zlibを入れようとした時に
rvm package install zlib
としたけどpackageがエラー。どうも新しいrvmではpackage => pkgに変更なったらしいよ
rvm pkg install zlib
が動いた(^^

コメントを残す